Package net.sf.saxon.style

## Enum StyleElement.OnFailure

- java.lang.Object
- - java.lang.Enum<StyleElement.OnFailure>
  - - net.sf.saxon.style.StyleElement.OnFailure

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<StyleElement.OnFailure>`
  Enclosing class:
    StyleElement

      public static enum StyleElement.OnFailure
      extends java.lang.Enum<StyleElement.OnFailure>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `IGNORED_INSTRUCTION` |
    `REPORT_ALWAYS` |
    `REPORT_DYNAMICALLY_UNLESS_FALLBACK_AVAILABLE` |
    `REPORT_IF_INSTANTIATED` |
    `REPORT_STATICALLY_UNLESS_FALLBACK_AVAILABLE` |
    `REPORT_UNLESS_FORWARDS_COMPATIBLE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static StyleElement.OnFailure` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static StyleElement.OnFailure[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REPORT_ALWAYS

          public static final StyleElement.OnFailure REPORT_ALWAYS

    - #### REPORT_UNLESS_FORWARDS_COMPATIBLE

          public static final StyleElement.OnFailure REPORT_UNLESS_FORWARDS_COMPATIBLE

    - #### REPORT_IF_INSTANTIATED

          public static final StyleElement.OnFailure REPORT_IF_INSTANTIATED

    - #### REPORT_STATICALLY_UNLESS_FALLBACK_AVAILABLE

          public static final StyleElement.OnFailure REPORT_STATICALLY_UNLESS_FALLBACK_AVAILABLE

    - #### REPORT_DYNAMICALLY_UNLESS_FALLBACK_AVAILABLE

          public static final StyleElement.OnFailure REPORT_DYNAMICALLY_UNLESS_FALLBACK_AVAILABLE

    - #### IGNORED_INSTRUCTION

          public static final StyleElement.OnFailure IGNORED_INSTRUCTION

  - ### Method Detail

    - #### values

          public static StyleElement.OnFailure[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StyleElement.OnFailure c : StyleElement.OnFailure.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StyleElement.OnFailure valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null